Bug 187552 - Review Request: perl-Taint-Runtime: Runtime enable taint checking
Review Request: perl-Taint-Runtime: Runtime enable taint checking
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jose Pedro Oliveira
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-03-31 16:05 EST by Tom "spot" Callaway
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-03 13:17:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tom "spot" Callaway 2006-03-31 16:05:39 EST
Spec Name or Url: http://www.auroralinux.org/people/spot/review/perl-Taint-Runtime.spec
SRPM Name or Url: 
http://www.auroralinux.org/people/spot/review/perl-Taint-Runtime-0.02-1.src.rpm

Description: 

This module enables runtime taint checking, for cases where the -T
switch on the commandline is not appropriate or viable. There are
a somewhat limited number of legitimate use cases where you should
use this module instead of the -T switch. Unless you have a specific and
good reason for not using the -T option, you should use the -T option.

This module is also a new dependency for perl-Clone.
Comment 1 Jose Pedro Oliveira 2006-03-31 17:29:06 EST
APPROVED

MD5SUMS:
f2727b8bd048924dfb38468527e6fd1e  perl-Taint-Runtime-0.02-1.src.rpm

9774a144441379486aca76a710e100b8  perl-Taint-Runtime.spec
f956b5abaae6925beb0c6fc335f214de  Taint-Runtime-0.02.tar.gz

Good:
* Source tarball MD5 digest verified
* URL and Source URL are valid
* License verified (main POD page)
* perl(:MODULE_COMPAT_xxx) present
* perl vendor libs present
* File permissions are ok
* File list is ok
* Builds without problems in FC-5
* (Un)installs without problems in FC-5
* No open tickets in
  http://rt.cpan.org/Public/Dist/Display.html?Name=Taint-Runtime
* Good kwalitee module
  http://cpants.dev.zsi.at/dist/Taint-Runtime


Minor note:
* The README file can be dropped as it is generated from the POD page
Comment 2 Jose Pedro Oliveira 2006-04-03 13:17:38 EDT
Closing. Already built for FC-4, FC-5, and devel.

Note You need to log in before you can comment on or make changes to this bug.